diff --git a/Makefile.am b/Makefile.am
index 059305b..76d9852 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -16,5 +16,8 @@ lib_LTLIBRARIES = libev.la
 libev_la_SOURCES = ev.c event.c
 libev_la_LDFLAGS = -version-info $(VERSION_INFO)
 
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = libev.pc
+
 ev.3: ev.pod
 	pod2man -n LIBEV -r "libev-$(VERSION)" -c "libev - high performance full featured event loop" -s3 <$< >$@
diff --git a/configure.ac b/configure.ac
index b004dda..6ba3f5c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -4,6 +4,7 @@ AC_INIT([libev], [4.25])
 orig_CFLAGS="$CFLAGS"
 
 AC_CONFIG_SRCDIR([ev_epoll.c])
+AC_CONFIG_MACRO_DIR([m4])
 AM_INIT_AUTOMAKE
 
 AC_CONFIG_HEADERS([config.h])
@@ -23,5 +24,5 @@ AC_PROG_LIBTOOL
 
 m4_include([libev.m4])
 
-AC_CONFIG_FILES([Makefile])
+AC_CONFIG_FILES([Makefile libev.pc])
 AC_OUTPUT
diff --git a/libev.pc.in b/libev.pc.in
new file mode 100644
index 0000000..8bc8681
--- /dev/null
+++ b/libev.pc.in
@@ -0,0 +1,11 @@
+prefix=@prefix@
+exec_prefix=@prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: libev
+Description: A high-performance event loop/event model with lots of features
+Version: @VERSION@
+Libs: -L${libdir} -lev
+Libs.private:
+Cflags: -I${includedir}
